## org.metaabm.commands
Class RemoveMultiValueCommand

    java.lang.Object
      org.eclipse.emf.common.command.AbstractCommand
          org.eclipse.emf.common.command.CompoundCommand
              org.metaabm.commands.MultiValueCommand
                  org.metaabm.commands.RemoveMultiValueCommand

All Implemented Interfaces:
  org.eclipse.emf.common.command.Command

    public class RemoveMultiValueCommand

extends MultiValueCommand
implements org.eclipse.emf.common.command.Command

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.command.AbstractCommand
`org.eclipse.emf.common.command.AbstractCommand.NonDirtying`

Field Summary

Fields inherited from class org.metaabm.commands.MultiValueCommand
`domain, function, sink`

Fields inherited from class org.eclipse.emf.common.command.CompoundCommand
`commandList, LAST_COMMAND_ALL, MERGE_COMMAND_ALL, resultIndex`

Fields inherited from class org.eclipse.emf.common.command.AbstractCommand
`description, isExecutable, isPrepared, label`

Constructor Summary
`RemoveMultiValueCommand(org.eclipse.emf.edit.domain.EditingDomain domain, ASink sink)`

Method Summary

Methods inherited from class org.metaabm.commands.MultiValueCommand
`addAttribute, addAttributes, addAttributesCross, addAttributesSingle, clearMultiFunction, clearMultiValues, createMultiFunction, createMultiValue, getMultiValues, removeAttribute, removeMultiFunction, setValueName`

Methods inherited from class org.eclipse.emf.common.command.CompoundCommand
`append, appendAndExecute, appendIfCanExecute, canUndo, dispose, execute, getAffectedObjects, getCommandList, getDescription, getLabel, getMergedAffectedObjectsCollection, getMergedResultCollection, getResult, getResultIndex, isEmpty, prepare, redo, toString, undo, unwrap`

Methods inherited from class org.eclipse.emf.common.command.AbstractCommand
`canExecute, chain, setDescription, setLabel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.command.Command
`canExecute, canUndo, chain, dispose, execute, getAffectedObjects, getDescription, getLabel, getResult, redo, undo`

Constructor Detail

### RemoveMultiValueCommand

    public RemoveMultiValueCommand(org.eclipse.emf.edit.domain.EditingDomain domain,
                                   ASink sink)